Bug 170228 - Python-powered Configuration Utilities Should Have Backtrace on Exception Reporting to Fedora's Bugzilla Server
Python-powered Configuration Utilities Should Have Backtrace on Exception Rep...
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: FutureFeature
: 170229 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-10-09 12:52 EDT by Matt T. Proud
Modified: 2008-05-06 11:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt T. Proud 2005-10-09 12:52:12 EDT
Description of problem:
This bug has just been filed under this component, because I remember this 
utility crashing considerably during system installations; but the concept 
should apply to all of Fedora's Python-power utilities.

When a Python-powered Fedora configuration utility crashes, it just gives one 
the option the debug or to examine a backtrace. It might be useful if, upon a 
crash, the application could use some mechanism similar to GNOME's Bugbuddy 
infrastructure to allow for bug reporting, including the backtrace and useful 
variables, back to the Fedora project.

Additional info:
If this would help cut-down on the number of spurious problems encountered in 
the configuration utilities, great; it is necessary for the project.
Comment 1 Matt T. Proud 2005-10-09 12:53:57 EDT
*** Bug 170229 has been marked as a duplicate of this bug. ***
Comment 2 John Thacker 2006-04-21 21:31:06 EDT
Reassigned randomly to a component which is still shipped, unlike
system-config-packages which is replaced by pirut.
Comment 3 Christian Iseli 2007-01-22 05:17:25 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 4 Matt T. Proud 2007-01-22 11:53:10 EST
As far as I know, the latest Fedora releases do not have a backtrace report
mechanism in the installer.
Comment 5 Bug Zapper 2008-04-03 22:02:57 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 11:31:55 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.